%define   anolis_release 4
Summary:  Utilities for working with md5sum implanted in ISO images
Name:     isomd5sum
Version:  1.2.3
Release:  %{anolis_release}%{?dist}
License:  GPLv2+

Url:      https://github.com/rhinstaller/isomd5sum
Source0:  %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0: isomd5sum-1.2.3-fix-pkgconfig-file-path.patch
BuildRequires: gcc
BuildRequires: popt-devel
BuildRequires: python3-devel
BuildRequires: make

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary: Development headers and library for using isomd5sum 
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python3-isomd5sum
Summary: Python bindings for isomd5sum

%description -n python3-isomd5sum
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.


%prep
%autosetup -p1


%build
CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"; export CFLAGS
LDFLAGS="$RPM_LD_FLAGS"; export LDFLAGS

PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so

%install

PYTHON=%{__python3} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python

%files
%license COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/pkgconfig/isomd5sum.pc

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so

%changelog
* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.2.3-4
- Fix pkgconfig file installation path

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.2.3-1
- Init isomd5sum for anolis os 23
